%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_6a_primal
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_6a_primal.zip'
%Run program 'problem_6a_primal.m'
%=======================================================================

clc;
clear;
addpath('..');
%Load data:
load('.\problem_6a_primal_data.mat')

%Solve optimization problems:
[xout, fval, status, output] = riskconstrprog('cvar_risk', {4.898976,'cvar_comp_abs'}, 0.42, H1, [], [], 0.795876, H2, [], [], [], r);

%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display functions:
disp(sprintf(' cvar_risk  = %g', output.frval1));
disp(sprintf(' cvar_comp_abs = %g', output.frval2));
%Display optimal point:
disp('optimal point = ');
disp(xout);
